Package org.eclipse.rdf4j.federated.repository

## Class FedXRepositoryConfigBuilder

- java.lang.Object
- - org.eclipse.rdf4j.federated.repository.FedXRepositoryConfigBuilder

-     public class FedXRepositoryConfigBuilder
      extends Object

  Builder for `FedXRepositoryConfig`
  Author:
    Andreas Schwarte

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FedXRepositoryConfig` | `build()` | Build the `FedXRepositoryConfig` that can be used in the `RepositoryConfig`.
    `RepositoryConfig` | `build​(String repositoryId, String repositoryTitle)` | Build the `RepositoryConfig`
    `static FedXRepositoryConfigBuilder` | `create()` |
    `FedXRepositoryConfigBuilder` | `withMembers​(Collection<Statement> members)` |
    `FedXRepositoryConfigBuilder` | `withResolvableEndpoint​(String memberId)` |
    `FedXRepositoryConfigBuilder` | `withResolvableEndpoint​(Collection<String> memberIds)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static FedXRepositoryConfigBuilder create()

    - #### withResolvableEndpoint

          public FedXRepositoryConfigBuilder withResolvableEndpoint​(String memberId)

    - #### withResolvableEndpoint

          public FedXRepositoryConfigBuilder withResolvableEndpoint​(Collection<String> memberIds)

    - #### withMembers

          public FedXRepositoryConfigBuilder withMembers​(Collection<Statement> members)

    - #### build

          public FedXRepositoryConfig build()

      Build the `FedXRepositoryConfig` that can be used in the `RepositoryConfig`.
      Returns:
        the `FedXRepositoryConfig`

    - #### build

          public RepositoryConfig build​(String repositoryId,
                                        String repositoryTitle)

      Build the `RepositoryConfig`
      Parameters:
        `repositoryId` - the repository identifier
        `repositoryTitle` - the repository title
      Returns:
        the `RepositoryConfig` (incorporating `FedXRepositoryConfig`)